Bump perl version to 5.27.5, including Module::CoreList bits
authorJohn SJ Anderson <genehack@genehack.org>
Wed, 20 Sep 2017 22:27:28 +0000 (15:27 -0700)
committerJohn SJ Anderson <genehack@genehack.org>
Wed, 20 Sep 2017 22:46:13 +0000 (15:46 -0700)
25 files changed:
Cross/config.sh-arm-linux
Cross/config.sh-arm-linux-n770
INSTALL
META.json
META.yml
NetWare/Makefile
NetWare/config_H.wc
Porting/config.sh
Porting/config_H
README.haiku
README.macosx
README.os2
README.vms
dist/Module-CoreList/Changes
dist/Module-CoreList/lib/Module/CoreList.pm
dist/Module-CoreList/lib/Module/CoreList/TieHashDelta.pm
dist/Module-CoreList/lib/Module/CoreList/Utils.pm
hints/catamount.sh
lib/B/Op_private.pm
patchlevel.h
plan9/config.plan9
plan9/config_sh.sample
win32/GNUmakefile
win32/Makefile
win32/makefile.mk

index 96a408d..b3becf7 100644 (file)
@@ -32,12 +32,12 @@ alignbytes='4'
 ansi2knr=''
 aphostname='/bin/hostname'
 api_revision='5'
-api_subversion='4'
+api_subversion='5'
 api_version='27'
-api_versionstring='5.27.4'
+api_versionstring='5.27.5'
 ar='ar'
-archlib='/usr/lib/perl5/5.27.4/armv4l-linux'
-archlibexp='/usr/lib/perl5/5.27.4/armv4l-linux'
+archlib='/usr/lib/perl5/5.27.5/armv4l-linux'
+archlibexp='/usr/lib/perl5/5.27.5/armv4l-linux'
 archname64=''
 archname='armv4l-linux'
 archobjs=''
@@ -56,7 +56,7 @@ castflags='0'
 cat='cat'
 cc='cc'
 cccdlflags='-fpic'
-ccdlflags='-rdynamic -Wl,-rpath,/usr/lib/perl5/5.27.4/armv4l-linux/CORE'
+ccdlflags='-rdynamic -Wl,-rpath,/usr/lib/perl5/5.27.5/armv4l-linux/CORE'
 ccflags='-fno-strict-aliasing -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64'
 ccflags_uselargefiles='-D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64'
 ccname='arm-linux-gcc'
@@ -831,7 +831,7 @@ inc_version_list=' '
 inc_version_list_init='0'
 incpath=''
 inews=''
-installarchlib='./install_me_here/usr/lib/perl5/5.27.4/armv4l-linux'
+installarchlib='./install_me_here/usr/lib/perl5/5.27.5/armv4l-linux'
 installbin='./install_me_here/usr/bin'
 installhtml1dir=''
 installhtml3dir=''
@@ -839,13 +839,13 @@ installman1dir='./install_me_here/usr/share/man/man1'
 installman3dir='./install_me_here/usr/share/man/man3'
 installprefix='./install_me_here/usr'
 installprefixexp='./install_me_here/usr'
-installprivlib='./install_me_here/usr/lib/perl5/5.27.4'
+installprivlib='./install_me_here/usr/lib/perl5/5.27.5'
 installscript='./install_me_here/usr/bin'
-installsitearch='./install_me_here/usr/lib/perl5/site_perl/5.27.4/armv4l-linux'
+installsitearch='./install_me_here/usr/lib/perl5/site_perl/5.27.5/armv4l-linux'
 installsitebin='./install_me_here/usr/bin'
 installsitehtml1dir=''
 installsitehtml3dir=''
-installsitelib='./install_me_here/usr/lib/perl5/site_perl/5.27.4'
+installsitelib='./install_me_here/usr/lib/perl5/site_perl/5.27.5'
 installsiteman1dir='./install_me_here/usr/share/man/man1'
 installsiteman3dir='./install_me_here/usr/share/man/man3'
 installsitescript='./install_me_here/usr/bin'
@@ -979,8 +979,8 @@ pmake=''
 pr=''
 prefix='/usr'
 prefixexp='/usr'
-privlib='/usr/lib/perl5/5.27.4'
-privlibexp='/usr/lib/perl5/5.27.4'
+privlib='/usr/lib/perl5/5.27.5'
+privlibexp='/usr/lib/perl5/5.27.5'
 procselfexe='"/proc/self/exe"'
 prototype='define'
 ptrsize='4'
@@ -1045,17 +1045,17 @@ sig_num='0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26
 sig_num_init='0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 62, 63, 6, 17, 29, 31, 0'
 sig_size='68'
 signal_t='void'
-sitearch='/usr/lib/perl5/site_perl/5.27.4/armv4l-linux'
-sitearchexp='/usr/lib/perl5/site_perl/5.27.4/armv4l-linux'
+sitearch='/usr/lib/perl5/site_perl/5.27.5/armv4l-linux'
+sitearchexp='/usr/lib/perl5/site_perl/5.27.5/armv4l-linux'
 sitebin='/usr/bin'
 sitebinexp='/usr/bin'
 sitehtml1dir=''
 sitehtml1direxp=''
 sitehtml3dir=''
 sitehtml3direxp=''
-sitelib='/usr/lib/perl5/site_perl/5.27.4'
+sitelib='/usr/lib/perl5/site_perl/5.27.5'
 sitelib_stem='/usr/lib/perl5/site_perl'
-sitelibexp='/usr/lib/perl5/site_perl/5.27.4'
+sitelibexp='/usr/lib/perl5/site_perl/5.27.5'
 siteman1dir='/usr/share/man/man1'
 siteman1direxp='/usr/share/man/man1'
 siteman3dir='/usr/share/man/man3'
@@ -1094,7 +1094,7 @@ stdio_stream_array=''
 strerror_r_proto='0'
 strings='/usr/include/string.h'
 submit=''
-subversion='4'
+subversion='5'
 sysman='/usr/share/man/man1'
 tail=''
 tar=''
@@ -1186,8 +1186,8 @@ vendorprefix=''
 vendorprefixexp=''
 vendorscript=''
 vendorscriptexp=''
-version='5.27.4'
-version_patchlevel_string='version 27 subversion 4'
+version='5.27.5'
+version_patchlevel_string='version 27 subversion 5'
 versiononly='undef'
 vi=''
 xlibpth='/usr/lib/386 /lib/386'
@@ -1201,9 +1201,9 @@ config_args=''
 config_argc=0
 PERL_REVISION=5
 PERL_VERSION=27
-PERL_SUBVERSION=4
+PERL_SUBVERSION=5
 PERL_API_REVISION=5
 PERL_API_VERSION=27
-PERL_API_SUBVERSION=4
+PERL_API_SUBVERSION=5
 PERL_PATCHLEVEL=
 PERL_CONFIG_SH=true
index 559ad88..f09839d 100644 (file)
@@ -32,12 +32,12 @@ alignbytes='4'
 ansi2knr=''
 aphostname='/bin/hostname'
 api_revision='5'
-api_subversion='4'
+api_subversion='5'
 api_version='27'
-api_versionstring='5.27.4'
+api_versionstring='5.27.5'
 ar='ar'
-archlib='/usr/lib/perl5/5.27.4/armv4l-linux'
-archlibexp='/usr/lib/perl5/5.27.4/armv4l-linux'
+archlib='/usr/lib/perl5/5.27.5/armv4l-linux'
+archlibexp='/usr/lib/perl5/5.27.5/armv4l-linux'
 archname64=''
 archname='armv4l-linux'
 archobjs=''
@@ -55,7 +55,7 @@ castflags='0'
 cat='cat'
 cc='arm-none-linux-gnueabi-gcc'
 cccdlflags='-fpic'
-ccdlflags='-rdynamic -Wl,-rpath,/usr/lib/perl5/5.27.4/armv4l-linux/CORE'
+ccdlflags='-rdynamic -Wl,-rpath,/usr/lib/perl5/5.27.5/armv4l-linux/CORE'
 ccflags='-fno-strict-aliasing -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64'
 ccflags_uselargefiles='-D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64'
 ccname='arm-linux-gcc'
@@ -699,7 +699,7 @@ inc_version_list=' '
 inc_version_list_init='0'
 incpath=''
 inews=''
-installarchlib='./install_me_here/usr/lib/perl5/5.27.4/armv4l-linux'
+installarchlib='./install_me_here/usr/lib/perl5/5.27.5/armv4l-linux'
 installbin='./install_me_here/usr/bin'
 installhtml1dir=''
 installhtml3dir=''
@@ -707,13 +707,13 @@ installman1dir='./install_me_here/usr/share/man/man1'
 installman3dir='./install_me_here/usr/share/man/man3'
 installprefix='./install_me_here/usr'
 installprefixexp='./install_me_here/usr'
-installprivlib='./install_me_here/usr/lib/perl5/5.27.4'
+installprivlib='./install_me_here/usr/lib/perl5/5.27.5'
 installscript='./install_me_here/usr/bin'
-installsitearch='./install_me_here/usr/lib/perl5/site_perl/5.27.4/armv4l-linux'
+installsitearch='./install_me_here/usr/lib/perl5/site_perl/5.27.5/armv4l-linux'
 installsitebin='./install_me_here/usr/bin'
 installsitehtml1dir=''
 installsitehtml3dir=''
-installsitelib='./install_me_here/usr/lib/perl5/site_perl/5.27.4'
+installsitelib='./install_me_here/usr/lib/perl5/site_perl/5.27.5'
 installsiteman1dir='./install_me_here/usr/share/man/man1'
 installsiteman3dir='./install_me_here/usr/share/man/man3'
 installsitescript='./install_me_here/usr/bin'
@@ -841,8 +841,8 @@ pmake=''
 pr=''
 prefix='/usr'
 prefixexp='/usr'
-privlib='/usr/lib/perl5/5.27.4'
-privlibexp='/usr/lib/perl5/5.27.4'
+privlib='/usr/lib/perl5/5.27.5'
+privlibexp='/usr/lib/perl5/5.27.5'
 procselfexe='"/proc/self/exe"'
 prototype='define'
 ptrsize='4'
@@ -903,17 +903,17 @@ sig_num='0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26
 sig_num_init='0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 62, 63, 6, 17, 29, 31, 0'
 sig_size='68'
 signal_t='void'
-sitearch='/usr/lib/perl5/site_perl/5.27.4/armv4l-linux'
-sitearchexp='/usr/lib/perl5/site_perl/5.27.4/armv4l-linux'
+sitearch='/usr/lib/perl5/site_perl/5.27.5/armv4l-linux'
+sitearchexp='/usr/lib/perl5/site_perl/5.27.5/armv4l-linux'
 sitebin='/usr/bin'
 sitebinexp='/usr/bin'
 sitehtml1dir=''
 sitehtml1direxp=''
 sitehtml3dir=''
 sitehtml3direxp=''
-sitelib='/usr/lib/perl5/site_perl/5.27.4'
+sitelib='/usr/lib/perl5/site_perl/5.27.5'
 sitelib_stem='/usr/lib/perl5/site_perl'
-sitelibexp='/usr/lib/perl5/site_perl/5.27.4'
+sitelibexp='/usr/lib/perl5/site_perl/5.27.5'
 siteman1dir='/usr/share/man/man1'
 siteman1direxp='/usr/share/man/man1'
 siteman3dir='/usr/share/man/man3'
@@ -950,7 +950,7 @@ stdio_stream_array=''
 strerror_r_proto='0'
 strings='/usr/include/string.h'
 submit=''
-subversion='4'
+subversion='5'
 sysman='/usr/share/man/man1'
 tail=''
 tar=''
@@ -1035,8 +1035,8 @@ vendorprefix=''
 vendorprefixexp=''
 vendorscript=''
 vendorscriptexp=''
-version='5.27.4'
-version_patchlevel_string='version 27 subversion 4'
+version='5.27.5'
+version_patchlevel_string='version 27 subversion 5'
 versiononly='undef'
 vi=''
 xlibpth='/usr/lib/386 /lib/386'
@@ -1050,9 +1050,9 @@ config_args=''
 config_argc=0
 PERL_REVISION=5
 PERL_VERSION=27
-PERL_SUBVERSION=4
+PERL_SUBVERSION=5
 PERL_API_REVISION=5
 PERL_API_VERSION=27
-PERL_API_SUBVERSION=4
+PERL_API_SUBVERSION=5
 PERL_PATCHLEVEL=
 PERL_CONFIG_SH=true
diff --git a/INSTALL b/INSTALL
index fbce4f5..dd75737 100644 (file)
--- a/INSTALL
+++ b/INSTALL
@@ -609,7 +609,7 @@ The directories set up by Configure fall into three broad categories.
 
 =item Directories for the perl distribution
 
-By default, Configure will use the following directories for 5.27.4.
+By default, Configure will use the following directories for 5.27.5.
 $version is the full perl version number, including subversion, e.g.
 5.12.3, and $archname is a string like sun4-sunos,
 determined by Configure.  The full definitions of all Configure
@@ -2472,7 +2472,7 @@ http://www.chiark.greenend.org.uk/~sgtatham/bugs.html
 
 =head1 Coexistence with earlier versions of perl 5
 
-Perl 5.27.4 is not binary compatible with earlier versions of Perl.
+Perl 5.27.5 is not binary compatible with earlier versions of Perl.
 In other words, you will have to recompile your XS modules.
 
 In general, you can usually safely upgrade from one version of Perl
@@ -2547,9 +2547,9 @@ won't interfere with another version.  (The defaults guarantee this for
 libraries after 5.6.0, but not for executables. TODO?)  One convenient
 way to do this is by using a separate prefix for each version, such as
 
-       sh Configure -Dprefix=/opt/perl5.27.4
+       sh Configure -Dprefix=/opt/perl5.27.5
 
-and adding /opt/perl5.27.4/bin to the shell PATH variable.  Such users
+and adding /opt/perl5.27.5/bin to the shell PATH variable.  Such users
 may also wish to add a symbolic link /usr/local/bin/perl so that
 scripts can still start with #!/usr/local/bin/perl.
 
@@ -2562,13 +2562,13 @@ seriously consider using a separate directory, since development
 subversions may not have all the compatibility wrinkles ironed out
 yet.
 
-=head2 Upgrading from 5.27.3 or earlier
+=head2 Upgrading from 5.27.4 or earlier
 
-B<Perl 5.27.4 may not be binary compatible with Perl 5.27.3 or
+B<Perl 5.27.5 may not be binary compatible with Perl 5.27.4 or
 earlier Perl releases.>  Perl modules having binary parts
 (meaning that a C compiler is used) will have to be recompiled to be
-used with 5.27.4.  If you find you do need to rebuild an extension with
-5.27.4, you may safely do so without disturbing the older
+used with 5.27.5.  If you find you do need to rebuild an extension with
+5.27.5, you may safely do so without disturbing the older
 installations.  (See L<"Coexistence with earlier versions of perl 5">
 above.)
 
@@ -2601,15 +2601,15 @@ Firstly, the bare minimum to run this script
      print("$f\n");
   }
 
-in Linux with perl-5.27.4 is as follows (under $Config{prefix}):
+in Linux with perl-5.27.5 is as follows (under $Config{prefix}):
 
   ./bin/perl
-  ./lib/perl5/5.27.4/strict.pm
-  ./lib/perl5/5.27.4/warnings.pm
-  ./lib/perl5/5.27.4/i686-linux/File/Glob.pm
-  ./lib/perl5/5.27.4/feature.pm
-  ./lib/perl5/5.27.4/XSLoader.pm
-  ./lib/perl5/5.27.4/i686-linux/auto/File/Glob/Glob.so
+  ./lib/perl5/5.27.5/strict.pm
+  ./lib/perl5/5.27.5/warnings.pm
+  ./lib/perl5/5.27.5/i686-linux/File/Glob.pm
+  ./lib/perl5/5.27.5/feature.pm
+  ./lib/perl5/5.27.5/XSLoader.pm
+  ./lib/perl5/5.27.5/i686-linux/auto/File/Glob/Glob.so
 
 Secondly, for perl-5.10.1, the Debian perl-base package contains 591
 files, (of which 510 are for lib/unicore) totaling about 3.5MB in its
index d6d9388..a5929de 100644 (file)
--- a/META.json
+++ b/META.json
          "url" : "http://perl5.git.perl.org/"
       }
    },
-   "version" : "5.027004",
+   "version" : "5.027005",
    "x_serialization_backend" : "JSON::PP version 2.94"
 }
index 6788ffb..66b0d7b 100644 (file)
--- a/META.yml
+++ b/META.yml
@@ -113,5 +113,5 @@ resources:
   homepage: http://www.perl.org/
   license: http://dev.perl.org/licenses/
   repository: http://perl5.git.perl.org/
-version: '5.027004'
+version: '5.027005'
 x_serialization_backend: 'CPAN::Meta::YAML version 0.018'
index 75331c5..29e6f0a 100644 (file)
@@ -86,7 +86,7 @@ NLM_VERSION    = 3,20,0
 
 
 # Here comes the CW tools - TO BE FILLED TO BUILD WITH CW -
-MODULE_DESC     = "Perl 5.27.4 for NetWare"
+MODULE_DESC     = "Perl 5.27.5 for NetWare"
 CCTYPE          = CodeWarrior
 C_COMPILER             = mwccnlm -c
 CPP_COMPILER   = mwccnlm
@@ -462,7 +462,7 @@ INST_NW_TOP2 = $(INST_NW_DRV)\perl
 # versioned installation can be obtained by setting INST_TOP above to a
 # path that includes an arbitrary version string.
 #
-INST_VER       = \5.27.4
+INST_VER       = \5.27.5
 
 #
 # Comment this out if you DON'T want your perl installation to have
index a24172c..da2923c 100644 (file)
  *     This symbol contains the ~name expanded version of ARCHLIB, to be used
  *     in programs that are not prepared to deal with ~ expansion at run-time.
  */
-#define ARCHLIB "c:\\perl\\5.27.4\\lib\\NetWare-x86-multi-thread"              /**/
+#define ARCHLIB "c:\\perl\\5.27.5\\lib\\NetWare-x86-multi-thread"              /**/
 /*#define ARCHLIB_EXP ""       /**/
 
 /* ARCHNAME:
  *     This symbol is the filename expanded version of the BIN symbol, for
  *     programs that do not want to deal with that at run-time.
  */
-#define BIN "c:\\perl\\5.27.4\\bin\\NetWare-x86-multi-thread"  /**/
-#define BIN_EXP "c:\\perl\\5.27.4\\bin\\NetWare-x86-multi-thread"      /**/
+#define BIN "c:\\perl\\5.27.5\\bin\\NetWare-x86-multi-thread"  /**/
+#define BIN_EXP "c:\\perl\\5.27.5\\bin\\NetWare-x86-multi-thread"      /**/
 
 /* BYTEORDER:
  *     This symbol holds the hexadecimal constant defined in byteorder,
  *     This symbol contains the ~name expanded version of SITEARCH, to be used
  *     in programs that are not prepared to deal with ~ expansion at run-time.
  */
-#define SITEARCH "c:\\perl\\site\\5.27.4\\lib\\NetWare-x86-multi-thread"               /**/
+#define SITEARCH "c:\\perl\\site\\5.27.5\\lib\\NetWare-x86-multi-thread"               /**/
 /*#define SITEARCH_EXP ""      /**/
 
 /* SITELIB:
  *     removed.  The elements in inc_version_list (inc_version_list.U) can
  *     be tacked onto this variable to generate a list of directories to search.
  */
-#define SITELIB "c:\\perl\\site\\5.27.4\\lib"          /**/
+#define SITELIB "c:\\perl\\site\\5.27.5\\lib"          /**/
 /*#define SITELIB_EXP ""       /**/
 #define SITELIB_STEM ""                /**/
 
index 178db06..f97abf5 100644 (file)
@@ -39,12 +39,12 @@ alignbytes='8'
 ansi2knr=''
 aphostname='/bin/hostname'
 api_revision='5'
-api_subversion='4'
+api_subversion='5'
 api_version='27'
-api_versionstring='5.27.4'
+api_versionstring='5.27.5'
 ar='ar'
-archlib='/tmp/mblead/lib/perl5/5.27.4/darwin-2level'
-archlibexp='/tmp/mblead/lib/perl5/5.27.4/darwin-2level'
+archlib='/tmp/mblead/lib/perl5/5.27.5/darwin-2level'
+archlibexp='/tmp/mblead/lib/perl5/5.27.5/darwin-2level'
 archname64=''
 archname='darwin-2level'
 archobjs=''
@@ -851,7 +851,7 @@ incpath=''
 incpth='/usr/local/include /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/../lib/clang/6.0/include /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/include /usr/include /usr/local/include /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/../lib/clang/6.0/include /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/include /usr/include /usr/local/include /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/../lib/clang/6.0/include /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/include /usr/include'
 inews=''
 initialinstalllocation='/tmp/mblead/bin'
-installarchlib='/tmp/mblead/lib/perl5/5.27.4/darwin-2level'
+installarchlib='/tmp/mblead/lib/perl5/5.27.5/darwin-2level'
 installbin='/tmp/mblead/bin'
 installhtml1dir=''
 installhtml3dir=''
@@ -859,13 +859,13 @@ installman1dir='/tmp/mblead/man/man1'
 installman3dir='/tmp/mblead/man/man3'
 installprefix='/tmp/mblead'
 installprefixexp='/tmp/mblead'
-installprivlib='/tmp/mblead/lib/perl5/5.27.4'
+installprivlib='/tmp/mblead/lib/perl5/5.27.5'
 installscript='/tmp/mblead/bin'
-installsitearch='/tmp/mblead/lib/perl5/site_perl/5.27.4/darwin-2level'
+installsitearch='/tmp/mblead/lib/perl5/site_perl/5.27.5/darwin-2level'
 installsitebin='/tmp/mblead/bin'
 installsitehtml1dir=''
 installsitehtml3dir=''
-installsitelib='/tmp/mblead/lib/perl5/site_perl/5.27.4'
+installsitelib='/tmp/mblead/lib/perl5/site_perl/5.27.5'
 installsiteman1dir='/tmp/mblead/man/man1'
 installsiteman3dir='/tmp/mblead/man/man3'
 installsitescript='/tmp/mblead/bin'
@@ -990,7 +990,7 @@ perl_patchlevel=''
 perl_static_inline='static __inline__'
 perladmin='aaron@daybreak.nonet'
 perllibs='-lpthread -ldl -lm -lutil -lc'
-perlpath='/tmp/mblead/bin/perl5.27.4'
+perlpath='/tmp/mblead/bin/perl5.27.5'
 pg='pg'
 phostname='hostname'
 pidtype='pid_t'
@@ -999,8 +999,8 @@ pmake=''
 pr=''
 prefix='/tmp/mblead'
 prefixexp='/tmp/mblead'
-privlib='/tmp/mblead/lib/perl5/5.27.4'
-privlibexp='/tmp/mblead/lib/perl5/5.27.4'
+privlib='/tmp/mblead/lib/perl5/5.27.5'
+privlibexp='/tmp/mblead/lib/perl5/5.27.5'
 procselfexe=''
 prototype='define'
 ptrsize='8'
@@ -1066,17 +1066,17 @@ sig_num='0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26
 sig_num_init='0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 6, 0'
 sig_size='33'
 signal_t='void'
-sitearch='/tmp/mblead/lib/perl5/site_perl/5.27.4/darwin-2level'
-sitearchexp='/tmp/mblead/lib/perl5/site_perl/5.27.4/darwin-2level'
+sitearch='/tmp/mblead/lib/perl5/site_perl/5.27.5/darwin-2level'
+sitearchexp='/tmp/mblead/lib/perl5/site_perl/5.27.5/darwin-2level'
 sitebin='/tmp/mblead/bin'
 sitebinexp='/tmp/mblead/bin'
 sitehtml1dir=''
 sitehtml1direxp=''
 sitehtml3dir=''
 sitehtml3direxp=''
-sitelib='/tmp/mblead/lib/perl5/site_perl/5.27.4'
+sitelib='/tmp/mblead/lib/perl5/site_perl/5.27.5'
 sitelib_stem='/tmp/mblead/lib/perl5/site_perl'
-sitelibexp='/tmp/mblead/lib/perl5/site_perl/5.27.4'
+sitelibexp='/tmp/mblead/lib/perl5/site_perl/5.27.5'
 siteman1dir='/tmp/mblead/man/man1'
 siteman1direxp='/tmp/mblead/man/man1'
 siteman3dir='/tmp/mblead/man/man3'
@@ -1102,7 +1102,7 @@ src='.'
 ssizetype='ssize_t'
 st_ino_sign='1'
 st_ino_size='8'
-startperl='#!/tmp/mblead/bin/perl5.27.4'
+startperl='#!/tmp/mblead/bin/perl5.27.5'
 startsh='#!/bin/sh'
 static_ext=' '
 stdchar='char'
@@ -1115,7 +1115,7 @@ stdio_stream_array=''
 strerror_r_proto='0'
 strings='/usr/include/string.h'
 submit=''
-subversion='4'
+subversion='5'
 sysman='/usr/share/man/man1'
 sysroot=''
 tail=''
@@ -1214,8 +1214,8 @@ vendorprefix=''
 vendorprefixexp=''
 vendorscript=''
 vendorscriptexp=''
-version='5.27.4'
-version_patchlevel_string='version 27 subversion 4'
+version='5.27.5'
+version_patchlevel_string='version 27 subversion 5'
 versiononly='define'
 vi=''
 xlibpth='/usr/lib/386 /lib/386'
@@ -1225,9 +1225,9 @@ zcat=''
 zip='zip'
 PERL_REVISION=5
 PERL_VERSION=27
-PERL_SUBVERSION=4
+PERL_SUBVERSION=5
 PERL_API_REVISION=5
 PERL_API_VERSION=27
-PERL_API_SUBVERSION=4
+PERL_API_SUBVERSION=5
 PERL_PATCHLEVEL=''
 PERL_CONFIG_SH=true
index 667a7ed..b193b80 100644 (file)
  *     This symbol contains the ~name expanded version of ARCHLIB, to be used
  *     in programs that are not prepared to deal with ~ expansion at run-time.
  */
-#define ARCHLIB "/pro/lib/perl5/5.27.4/i686-linux-64int-ld"            /**/
-#define ARCHLIB_EXP "/pro/lib/perl5/5.27.4/i686-linux-64int-ld"                /**/
+#define ARCHLIB "/pro/lib/perl5/5.27.5/i686-linux-64int-ld"            /**/
+#define ARCHLIB_EXP "/pro/lib/perl5/5.27.5/i686-linux-64int-ld"                /**/
 
 /* ARCHNAME:
  *     This symbol holds a string representing the architecture name.
  *     This symbol contains the ~name expanded version of PRIVLIB, to be used
  *     in programs that are not prepared to deal with ~ expansion at run-time.
  */
-#define PRIVLIB "/pro/lib/perl5/5.27.4"                /**/
-#define PRIVLIB_EXP "/pro/lib/perl5/5.27.4"            /**/
+#define PRIVLIB "/pro/lib/perl5/5.27.5"                /**/
+#define PRIVLIB_EXP "/pro/lib/perl5/5.27.5"            /**/
 
 /* PTRSIZE:
  *     This symbol contains the size of a pointer, so that the C preprocessor
  *     This symbol contains the ~name expanded version of SITEARCH, to be used
  *     in programs that are not prepared to deal with ~ expansion at run-time.
  */
-#define SITEARCH "/pro/lib/perl5/site_perl/5.27.4/i686-linux-64int-ld"         /**/
-#define SITEARCH_EXP "/pro/lib/perl5/site_perl/5.27.4/i686-linux-64int-ld"             /**/
+#define SITEARCH "/pro/lib/perl5/site_perl/5.27.5/i686-linux-64int-ld"         /**/
+#define SITEARCH_EXP "/pro/lib/perl5/site_perl/5.27.5/i686-linux-64int-ld"             /**/
 
 /* SITELIB:
  *     This symbol contains the name of the private library for this package.
  *     removed.  The elements in inc_version_list (inc_version_list.U) can
  *     be tacked onto this variable to generate a list of directories to search.
  */
-#define SITELIB "/pro/lib/perl5/site_perl/5.27.4"              /**/
-#define SITELIB_EXP "/pro/lib/perl5/site_perl/5.27.4"          /**/
+#define SITELIB "/pro/lib/perl5/site_perl/5.27.5"              /**/
+#define SITELIB_EXP "/pro/lib/perl5/site_perl/5.27.5"          /**/
 #define SITELIB_STEM "/pro/lib/perl5/site_perl"                /**/
 
 /* SSize_t:
  *     script to make sure (one hopes) that it runs with perl and not
  *     some shell.
  */
-#define STARTPERL "#!/pro/bin/perl5.27.4"              /**/
+#define STARTPERL "#!/pro/bin/perl5.27.5"              /**/
 
 /* HAS_STDIO_STREAM_ARRAY:
  *     This symbol, if defined, tells that there is an array
index 6e10026..aa834b7 100644 (file)
@@ -22,9 +22,9 @@ The build procedure is completely standard:
 Make perl executable and create a symlink for libperl:
 
   chmod a+x /boot/common/bin/perl
-  cd /boot/common/lib; ln -s perl5/5.27.4/BePC-haiku/CORE/libperl.so .
+  cd /boot/common/lib; ln -s perl5/5.27.5/BePC-haiku/CORE/libperl.so .
 
-Replace C<5.27.4> with your respective version of Perl.
+Replace C<5.27.5> with your respective version of Perl.
 
 =head1 KNOWN PROBLEMS
 
index bc3aa7e..33dc802 100644 (file)
@@ -10,9 +10,9 @@ perlmacosx - Perl under Mac OS X
 
 This document briefly describes Perl under Mac OS X.
 
-  curl -O http://www.cpan.org/src/perl-5.27.4.tar.gz
-  tar -xzf perl-5.27.4.tar.gz
-  cd perl-5.27.4
+  curl -O http://www.cpan.org/src/perl-5.27.5.tar.gz
+  tar -xzf perl-5.27.5.tar.gz
+  cd perl-5.27.5
   ./Configure -des -Dprefix=/usr/local/
   make
   make test
@@ -20,7 +20,7 @@ This document briefly describes Perl under Mac OS X.
 
 =head1 DESCRIPTION
 
-The latest Perl release (5.27.4 as of this writing) builds without changes
+The latest Perl release (5.27.5 as of this writing) builds without changes
 under all versions of Mac OS X from 10.3 "Panther" onwards. 
 
 In order to build your own version of Perl you will need 'make',
index cb49f35..bcfdb3d 100644 (file)
@@ -619,7 +619,7 @@ C<set PERLLIB_PREFIX> in F<Config.sys>, see L</"C<PERLLIB_PREFIX>">.
 
 =item Additional Perl modules
 
-  unzip perl_ste.zip -d f:/perllib/lib/site_perl/5.27.4/
+  unzip perl_ste.zip -d f:/perllib/lib/site_perl/5.27.5/
 
 Same remark as above applies.  Additionally, if this directory is not
 one of directories on @INC (and @INC is influenced by C<PERLLIB_PREFIX>), you
index 1dcdeea..724df7a 100644 (file)
@@ -142,11 +142,11 @@ You may need to set up a foreign symbol for the unpacking utility of
 choice.  Once you have done so, use a command like the following to
 unpack the archive:
 
-    vmstar -xvf perl-5^.27^.4.tar
+    vmstar -xvf perl-5^.27^.5.tar
 
 Then set default to the top-level source directory like so:
 
-    set default [.perl-5^.27^.4]
+    set default [.perl-5^.27^.5]
 
 and proceed with configuration as described in the next section.
 
index b5b0f90..3a3b6b5 100644 (file)
@@ -1,3 +1,6 @@
+5.20171020
+  - Updated for v5.27.5
+
 5.20170920
   - Updated for v5.27.4
 
index a37b83d..c1c186a 100644 (file)
@@ -3,7 +3,7 @@ use strict;
 use vars qw/$VERSION %released %version %families %upstream
            %bug_tracker %deprecated %delta/;
 use version;
-$VERSION = '5.20170920';
+$VERSION = '5.20171020';
 
 sub PKG_PATTERN () { q#\A[a-zA-Z_][0-9a-zA-Z_]*(?:(::|')[0-9a-zA-Z_]+)*\z# }
 sub _looks_like_invocant ($) { local $@; !!eval { $_[0]->isa(__PACKAGE__) } }
@@ -321,6 +321,7 @@ sub changes_between {
     5.027002 => '2017-07-20',
     5.027003 => '2017-08-21',
     5.027004 => '2017-09-20',
+    5.027005 => '2017-10-20',
   );
 
 for my $version ( sort { $a <=> $b } keys %released ) {
@@ -14426,6 +14427,18 @@ for my $version ( sort { $a <=> $b } keys %released ) {
         removed => {
         }
     },
+    5.027005 => {
+        delta_from => 5.027004,
+        changed => {
+            'B::Op_private'         => '5.027005',
+            'Config'                => '5.027005',
+            'Module::CoreList'      => '5.20171020',
+            'Module::CoreList::TieHashDelta'=> '5.20171020',
+            'Module::CoreList::Utils'=> '5.20171020',
+        },
+        removed => {
+        }
+    },
 );
 
 sub is_core
@@ -15233,6 +15246,13 @@ sub is_core
         removed => {
         }
     },
+    5.027005 => {
+        delta_from => 5.027004,
+        changed => {
+        },
+        removed => {
+        }
+    },
 );
 
 %deprecated = _undelta(\%deprecated);
index 553dc99..a59335d 100644 (file)
@@ -3,7 +3,7 @@ package Module::CoreList::TieHashDelta;
 use strict;
 use vars qw($VERSION);
 
-$VERSION = '5.20170920';
+$VERSION = '5.20171020';
 
 sub TIEHASH {
     my ($class, $changed, $removed, $parent) = @_;
index 1660d02..023b6f3 100644 (file)
@@ -5,7 +5,7 @@ use warnings;
 use vars qw[$VERSION %utilities];
 use Module::CoreList;
 
-$VERSION = '5.20170920';
+$VERSION = '5.20171020';
 
 sub utilities {
     my $perl = shift;
@@ -1312,6 +1312,13 @@ my %delta = (
         removed => {
         }
     },
+    5.027005 => {
+        delta_from => 5.027004,
+        changed => {
+        },
+        removed => {
+        }
+    },
 );
 
 %utilities = Module::CoreList::_undelta(\%delta);
index f8643c5..fa90894 100644 (file)
 # mkdir -p /opt/perl-catamount
 # mkdir -p /opt/perl-catamount/include
 # mkdir -p /opt/perl-catamount/lib
-# mkdir -p /opt/perl-catamount/lib/perl5/5.27.4
+# mkdir -p /opt/perl-catamount/lib/perl5/5.27.5
 # mkdir -p /opt/perl-catamount/bin
 # cp *.h /opt/perl-catamount/include
 # cp libperl.a /opt/perl-catamount/lib
-# cp -pr lib/* /opt/perl-catamount/lib/perl5/5.27.4
+# cp -pr lib/* /opt/perl-catamount/lib/perl5/5.27.5
 # cp miniperl perl run.sh cc.sh /opt/perl-catamount/lib
 #
 # With the headers and the libperl.a you can embed Perl to your Catamount
index b7dfd39..d94be42 100644 (file)
@@ -118,7 +118,7 @@ package B::Op_private;
 our %bits;
 
 
-our $VERSION = "5.027004";
+our $VERSION = "5.027005";
 
 $bits{$_}{3} = 'OPpENTERSUB_AMPER' for qw(entersub rv2cv);
 $bits{$_}{6} = 'OPpENTERSUB_DB' for qw(entersub rv2cv);
index 1b44a85..b003be7 100644 (file)
@@ -15,7 +15,7 @@
 
 #define PERL_REVISION  5               /* age */
 #define PERL_VERSION   27              /* epoch */
-#define PERL_SUBVERSION        4               /* generation */
+#define PERL_SUBVERSION        5               /* generation */
 
 /* The following numbers describe the earliest compatible version of
    Perl ("compatibility" here being defined as sufficient binary/API
@@ -36,7 +36,7 @@
 */
 #define PERL_API_REVISION      5
 #define PERL_API_VERSION       27
-#define PERL_API_SUBVERSION    4
+#define PERL_API_SUBVERSION    5
 /*
    XXX Note:  The selection of non-default Configure options, such
    as -Duselonglong may invalidate these settings.  Currently, Configure
index 768801d..68d6a5b 100644 (file)
  *     This symbol contains the ~name expanded version of PRIVLIB, to be used
  *     in programs that are not prepared to deal with ~ expansion at run-time.
  */
-#define PRIVLIB "/sys/lib/perl/5.27.4"         /**/
-#define PRIVLIB_EXP "/sys/lib/perl/5.27.4"             /**/
+#define PRIVLIB "/sys/lib/perl/5.27.5"         /**/
+#define PRIVLIB_EXP "/sys/lib/perl/5.27.5"             /**/
 
 /* PTRSIZE:
  *     This symbol contains the size of a pointer, so that the C preprocessor
  *     removed.  The elements in inc_version_list (inc_version_list.U) can
  *     be tacked onto this variable to generate a list of directories to search.
  */
-#define SITELIB "/sys/lib/perl/5.27.4/site_perl"               /**/
-#define SITELIB_EXP "/sys/lib/perl/5.27.4/site_perl"           /**/
-#define SITELIB_STEM "/sys/lib/perl/5.27.4/site_perl"          /**/
+#define SITELIB "/sys/lib/perl/5.27.5/site_perl"               /**/
+#define SITELIB_EXP "/sys/lib/perl/5.27.5/site_perl"           /**/
+#define SITELIB_STEM "/sys/lib/perl/5.27.5/site_perl"          /**/
 
 /* Size_t_size:
  *     This symbol holds the size of a Size_t in bytes.
index 9ca482d..cb50654 100644 (file)
@@ -32,12 +32,12 @@ alignbytes='4'
 ansi2knr=''
 aphostname='/bin/uname -n'
 api_revision='5'
-api_subversion='4'
+api_subversion='5'
 api_version='27'
-api_versionstring='5.27.4'
+api_versionstring='5.27.5'
 ar='ar'
-archlib='/sys/lib/perl5/5.27.4/386'
-archlibexp='/sys/lib/perl5/5.27.4/386'
+archlib='/sys/lib/perl5/5.27.5/386'
+archlibexp='/sys/lib/perl5/5.27.5/386'
 archname64=''
 archname='386'
 archobjs=''
@@ -825,17 +825,17 @@ inc_version_list=' '
 inc_version_list_init='0'
 incpath=''
 inews=''
-installarchlib='/sys/lib/perl/5.27.4/386'
+installarchlib='/sys/lib/perl/5.27.5/386'
 installbin='/usr/bin'
 installman1dir='/sys/man/1pub'
 installman3dir='/sys/man/2pub'
 installprefix='/usr'
 installprefixexp='/usr'
-installprivlib='/sys/lib/perl/5.27.4'
+installprivlib='/sys/lib/perl/5.27.5'
 installscript='/usr/bin'
-installsitearch='/sys/lib/perl/5.27.4/site_perl/386'
+installsitearch='/sys/lib/perl/5.27.5/site_perl/386'
 installsitebin='/usr/bin'
-installsitelib='/sys/lib/perl/5.27.4/site_perl'
+installsitelib='/sys/lib/perl/5.27.5/site_perl'
 installstyle='lib/perl5'
 installusrbinperl='undef'
 installvendorarch=''
@@ -960,8 +960,8 @@ pmake=''
 pr=''
 prefix='/usr'
 prefixexp='/usr'
-privlib='/sys/lib/perl/5.27.4'
-privlibexp='/sys/lib/perl/5.27.4'
+privlib='/sys/lib/perl/5.27.5'
+privlibexp='/sys/lib/perl/5.27.5'
 procselfexe=''
 prototype='define'
 ptrsize='4'
@@ -1026,13 +1026,13 @@ sig_num='0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26
 sig_num_init='0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 0'
 sig_size='50'
 signal_t='void'
-sitearch='/sys/lib/perl/5.27.4/site_perl/386'
+sitearch='/sys/lib/perl/5.27.5/site_perl/386'
 sitearchexp='/sys/lib/perl/site_perl/386'
 sitebin='/usr/bin'
 sitebinexp='/usr/bin'
-sitelib='/sys/lib/perl/5.27.4/site_perl'
-sitelib_stem='/sys/lib/perl/5.27.4/site_perl'
-sitelibexp='/sys/lib/perl/5.27.4/site_perl'
+sitelib='/sys/lib/perl/5.27.5/site_perl'
+sitelib_stem='/sys/lib/perl/5.27.5/site_perl'
+sitelibexp='/sys/lib/perl/5.27.5/site_perl'
 siteprefix='/usr'
 siteprefixexp='/usr'
 sizesize='4'
@@ -1065,7 +1065,7 @@ stdio_stream_array=''
 strerror_r_proto='0'
 strings='/sys/include/ape/string.h'
 submit=''
-subversion='4'
+subversion='5'
 sysman='/sys/man/1pub'
 tail=''
 tar=''
@@ -1147,8 +1147,8 @@ vendorlib_stem=''
 vendorlibexp=''
 vendorprefix=''
 vendorprefixexp=''
-version='5.27.4'
-version_patchlevel_string='version 27 subversion 4'
+version='5.27.5'
+version_patchlevel_string='version 27 subversion 5'
 versiononly='undef'
 vi=''
 xlibpth=''
@@ -1162,9 +1162,9 @@ config_args=''
 config_argc=0
 PERL_REVISION=5
 PERL_VERSION=27
-PERL_SUBVERSION=4
+PERL_SUBVERSION=5
 PERL_API_REVISION=5
 PERL_API_VERSION=27
-PERL_API_SUBVERSION=4
+PERL_API_SUBVERSION=5
 PERL_PATCHLEVEL=
 PERL_CONFIG_SH=true
index 84e5939..2fe4928 100644 (file)
@@ -63,7 +63,7 @@ INST_TOP := $(INST_DRV)\perl
 # versioned installation can be obtained by setting INST_TOP above to a
 # path that includes an arbitrary version string.
 #
-#INST_VER      := \5.27.4
+#INST_VER      := \5.27.5
 
 #
 # Comment this out if you DON'T want your perl installation to have
index 6c7a86e..c80f19b 100644 (file)
@@ -38,7 +38,7 @@ INST_TOP      = $(INST_DRV)\perl
 # versioned installation can be obtained by setting INST_TOP above to a
 # path that includes an arbitrary version string.
 #
-#INST_VER      = \5.27.4
+#INST_VER      = \5.27.5
 
 #
 # Comment this out if you DON'T want your perl installation to have
index 200134a..42a0d38 100644 (file)
@@ -44,7 +44,7 @@ INST_TOP      *= $(INST_DRV)\perl
 # versioned installation can be obtained by setting INST_TOP above to a
 # path that includes an arbitrary version string.
 #
-#INST_VER      *= \5.27.4
+#INST_VER      *= \5.27.5
 
 #
 # Comment this out if you DON'T want your perl installation to have